Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom
Class Content

    java.lang.Object
      |
      +--org.jdom.Content

Direct Known Subclasses:
  Comment, DocType, Element, EntityRef, ProcessingInstruction, Text

public abstract class Content
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

Superclass for JDOM objects which can be legal child content of `Parent` nodes.

Version:
  $Revision: 1.5 $, $Date: 2004/09/07 06:37:20 $
Author:
  Bradley S. Huffman, Jason Hunter
See Also:
  `Comment`, `DocType`, `Element`, `EntityRef`, `Parent`, `ProcessingInstruction`, `Text`, Serialized Form

Field Summary
`protected Parent` | `parent`

Constructor Summary
`protected` | `Content()`

Method Summary
`java.lang.Object` | `clone()` Returns a deep, unattached copy of this child and its descendants detached from any parent or document.
`Content` | `detach()` Detaches this child from its parent or does nothing if the child has no parent.
`boolean` | `equals(java.lang.Object ob)` This tests for equality of this Content object to the supplied object.
`Document` | `getDocument()` Return this child's owning document or null if the branch containing this child is currently not attached to a document.
`Parent` | `getParent()` Return this child's parent, or null if this child is currently not attached.
`Element` | `getParentElement()` A convenience method that returns any parent element for this element, or null if the element is unattached or is a root element.
`abstract java.lang.String` | `getValue()` Returns the XPath 1.0 string value of this child.
`int` | `hashCode()` This returns the hash code for this `Content` item.
`protected Content` | `setParent(Parent parent)` Sets the parent of this Content.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected Parent parent

Constructor Detail

### Content

    protected Content()

Method Detail

### detach

    public Content detach()

  Detaches this child from its parent or does nothing if the child has no parent.
  Returns:
    this child detached

### getParent

    public Parent getParent()

  Return this child's parent, or null if this child is currently not attached. The parent can be either an `Element` or a `Document`.
  Returns:
    this child's parent or null if none

### getParentElement

    public Element getParentElement()

  A convenience method that returns any parent element for this element, or null if the element is unattached or is a root element. This was the original behavior of getParent() in JDOM Beta 9 which began returning Parent in Beta 10. This method provides a convenient upgrade path for JDOM Beta 10 and 1.0 users.
  Returns:
    the containing Element or null if unattached or a root element

### setParent

    protected Content setParent(Parent parent)

  Sets the parent of this Content. The caller is responsible for removing any pre-existing parentage.
  Parameters:
    `parent` - new parent element
  Returns:
    the target element

### getDocument

    public Document getDocument()

  Return this child's owning document or null if the branch containing this child is currently not attached to a document.
  Returns:
    this child's owning document or null if none

### getValue

    public abstract java.lang.String getValue()

  Returns the XPath 1.0 string value of this child.
  Returns:
    xpath string value of this child.

### clone

    public java.lang.Object clone()

  Returns a deep, unattached copy of this child and its descendants detached from any parent or document.
  Overrides:
    clone in class java.lang.Object
  Returns:
    a detached deep copy of this child and descendants

### equals

    public final boolean equals(java.lang.Object ob)

  This tests for equality of this Content object to the supplied object. Content items are considered equal only if they are referentially equal (i.e. the same object). User code may choose to compare objects based on their properties instead.
  Overrides:
    equals in class java.lang.Object
  Parameters:
    `ob` - `Object` to compare to.
  Returns:
    `boolean` - whether the `Content` is equal to the supplied `Object`.

### hashCode

    public final int hashCode()

  This returns the hash code for this `Content` item.
  Overrides:
    hashCode in class java.lang.Object
  Returns:
    `int` - hash code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Jason Hunter, Brett McLaughlin. All Rights Reserved.